class CreateCustomers < ActiveRecord::Migration
	def change
		create_table :customers do |t|
			t.string :nick_name, null: false, limit: 255, default: ''
			t.string :phone, null: false, limit: 30, default: ''
			t.string :email, null: false, limit: 255, default: ''
			t.boolean :credit, null: false, default: true
			t.decimal :credit_limit, precision: 10, scale:2, null: false, default: 0
			t.integer :time_limit, null: false, default: 0
			t.text :notes, null: false, default: ''
			t.integer :status, null: false, default: 1
			t.timestamps null: false
		end
	end
end
